Bug 437383 - savefig to PDF is broken with Python 2.5
savefig to PDF is broken with Python 2.5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 15:36 EDT by Ben Webb
Modified: 2008-05-10 09:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.91.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 09:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Webb 2008-03-13 15:36:08 EDT
Description of problem:
Cannot save plots in PDF format with Python 2.5.

Version-Release number of selected component (if applicable):
python-matplotlib-0.90.1-2.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Try to write out a plot in PDF format, e.g. with a script such as:

from pylab import *
plot(arange(6))
savefig('test.pdf')

Actual results:
Python traceback, ending in
  File "/usr/lib/python2.5/site-packages/matplotlib/backends/backend_pdf.py",
line 505, in get_char_width
    unicode = cp1252.decoding_map[charcode] or 0
AttributeError: 'module' object has no attribute 'decoding_map'


Expected results:
Plot is produced in PDF format.

Additional info:
See
http://www.mail-archive.com/matplotlib-users@lists.sourceforge.net/msg03913.html
for the original bug report and a patch. Alternatively, the fix appears to be in
the 0.91.2 release, so you could just update to the latest version.
Comment 1 Jef Spaleta 2008-03-13 18:44:39 EDT
I'll look at spinning up the updated version this weekend. Ping this report
again if you haven't heard from me by Monday.

-jef

Comment 2 Jef Spaleta 2008-03-21 15:17:55 EDT
Sorry I was sick last weekend. I'm working on packaging the new upstream version
for updates-testing today.

-jef
Comment 3 Fedora Update System 2008-03-24 16:08:15 EDT
python-matplotlib-0.91.2-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-26 13:17:12 EDT
python-matplotlib-0.91.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-matplotlib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2727
Comment 5 Fedora Update System 2008-05-10 09:58:39 EDT
python-matplotlib-0.91.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.